# Random Outcome

The random outcome executes a random outcome from a list.

```json
{
  "type": "lucky:random",
  "outcomes": [
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_sword"
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_shovel"
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_pickaxe"
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_axe"
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_hoe"
    }
  ]
}
```

This outcome spawns a random Netherite tool on the ground.

```json
{
  "type": "lucky:random",
  "outcomes": [
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_sword"
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_shovel"
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_pickaxe"
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_axe"
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_hoe"
    }
  ],
  "count": 2
}
```

This outcome spawns 2 different Netherite tools on the ground.

```json
{
  "type": "lucky:random",
  "outcomes": [
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_sword"
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_shovel"
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_pickaxe"
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_axe"
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_hoe"
    }
  ],
  "duplicates": true,
  "count": 2
}
```

This outcome spawns 2 random Netherite tools on the ground which may be the same.

### Weight

The "weight" field (defaults to 1) is used to change how likely one outcome is to be randomly chosen. A "weight" of 0 will never be picked, whereas a "weight" of 10 will be 10x likely to be picked.

```json
{
  "type": "lucky:random",
  "outcomes": [
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_sword",
      "weight": 10
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_shovel"
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_pickaxe",
      "weight": 0
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_axe",
      "weight": {
        "type": "minecraft:uniform",
        "max_inclusive": 11,
        "min_inclusive": 0
      }
    },
    {
      "type": "lucky:item",
      "item": "minecraft:netherite_hoe"
    }
  ]
}
```

This outcome will never pick the Netherite Pickaxe, and is much more likely to pick the Netherite Sword or Axe.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.creoii.dev/lucky-block/outcomes/random-outcome.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
